Bug 1754477 - Thin-arbiter: Raise error in CLI if replica-count is not 2
Summary: Thin-arbiter: Raise error in CLI if replica-count is not 2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vishal Pandey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-23 11:37 UTC by Vishal Pandey
Modified: 2019-10-14 09:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-14 09:39:09 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23478 0 None Merged cli: raise error in cli when replica != 2 while ta vol creation 2019-10-14 09:39:08 UTC

Description Vishal Pandey 2019-09-23 11:37:40 UTC
Description of problem:

When creating a thin-arbiter volume, if the replica-count provided is other than 2, the cli command fails(which is the expected behaviour) but it fails once transaction is committed on localhost.

This, ideally should be handled in cli itself.

Version-Release number of selected component (if applicable): v7


How reproducible:
Try and create a volume with replica 3 and thin-arbiter 1 and provide 4 bricks in the cli.


Steps to Reproduce:
1. Run  gluster v create vol1 replica 3 thin-arbiter 1 node1:<brickpath> node2:<brickpath> node3:<brickpath> ta-node:<ta-path> force
2. 
3.

Actual results:
volume create: vol1: failed: Commit failed on localhost. Please check the log file for more details.


Expected results:
For thin-arbiter configuration, replica count must be 2 and thin-arbiter count must be 1. The 3rd brick of the replica will be the thin-arbiter brick



Additional info:

Comment 1 Worker Ant 2019-09-25 07:35:04 UTC
REVIEW: https://review.gluster.org/23478 (glusterd: raise error in cli when replica not equal to 2 in thin-arbiter volume creation) posted (#2) for review on master by Vishal Pandey

Comment 2 Worker Ant 2019-10-14 09:39:09 UTC
REVIEW: https://review.gluster.org/23478 (cli: raise error in cli when replica != 2 while ta vol creation) merged (#6) on master by Atin Mukherjee


Note You need to log in before you can comment on or make changes to this bug.